package com.ruoyi.care.service.impl;

import java.util.List;

import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.care.mapper.CareRecordsMapper;
import com.ruoyi.care.domain.CareRecords;
import com.ruoyi.care.service.ICareRecordsService;

/**
 * 111Service业务层处理
 * 
 * @author qy
 * @date 2025-01-07
 */
@Service
public class CareRecordsServiceImpl implements ICareRecordsService 
{
    @Autowired
    private CareRecordsMapper careRecordsMapper;

    /**
     * 查询111
     * 
     * @param recordId 111主键
     * @return 111
     */
    @Override
    public CareRecords selectCareRecordsByRecordId(Long recordId)
    {
        return careRecordsMapper.selectCareRecordsByRecordId(recordId);
    }

    /**
     * 查询111列表
     * 
     * @param careRecords 111
     * @return 111
     */
    @Override
    public List<CareRecords> selectCareRecordsList(CareRecords careRecords)
    {
        return careRecordsMapper.selectCareRecordsList(careRecords);
    }

    /**
     * 新增111
     * 
     * @param careRecords 111
     * @return 结果
     */
    @Override
    public int insertCareRecords(CareRecords careRecords)
    {
        careRecords.setCreateTime(DateUtils.getNowDate());
        return careRecordsMapper.insertCareRecords(careRecords);
    }

    /**
     * 修改111
     * 
     * @param careRecords 111
     * @return 结果
     */
    @Override
    public int updateCareRecords(CareRecords careRecords)
    {
        careRecords.setUpdateTime(DateUtils.getNowDate());
        return careRecordsMapper.updateCareRecords(careRecords);
    }

    /**
     * 批量删除111
     * 
     * @param recordIds 需要删除的111主键
     * @return 结果
     */
    @Override
    public int deleteCareRecordsByRecordIds(Long[] recordIds)
    {
        return careRecordsMapper.deleteCareRecordsByRecordIds(recordIds);
    }

    /**
     * 删除111信息
     * 
     * @param recordId 111主键
     * @return 结果
     */
    @Override
    public int deleteCareRecordsByRecordId(Long recordId)
    {
        return careRecordsMapper.deleteCareRecordsByRecordId(recordId);
    }
}
